<?php
/*------------------------------------------------------------------------
# mod_jo_sliderscroll - JO Slider Scroll for Joomla 1.6, 1.7, 2.5 Plugin
# -----------------------------------------------------------------------
# author: http://www.joomcore.com
# copyright Copyright (C) 2011 Joomcore.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomcore.com
# Technical Support:  Forum - http://www.joomcore.com/Support
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Restricted access'); 
include("modules/mod_jo_sliderscroll/tmpl/resize-class.php");
$js_jquery=JUri::root()."modules/mod_jo_sliderscroll/js/jquery-1.7.1.min.js";
$js_easing=JUri::root()."modules/mod_jo_sliderscroll/js/jquery.mousewheel.min.js";
$js_script=JUri::root()."modules/mod_jo_sliderscroll/js/jquery.advancedSlider.min.js";
?>
<script type="text/javascript" src="<?php echo $js_jquery?>"></script>
<script type="text/javascript" src="<?php echo $js_easing?>"></script>
<script type="text/javascript" src="<?php echo $js_script?>"></script>
<div class="<?php echo $params->get('moduleclass_sfx')?>">
	<div id="slider-pro-1">
		<?php 
			$thumb_width = $params->get('thumbnailwidth');
			$thumb_height = $params->get('thumbnailheight');			
			foreach($images as $image) {
			$image->folder	= str_replace( '\\', '/', $image->folder );
			$image_url = $image->folder.'/'.$image->name;
			$image_thumb = $image->folder.'/thumb/thumb_'.$image->name;
				$resizeObj = new resize($image_url);
				$resizeObj -> resizeImage($thumb_width, $thumb_height, 'crop');
				$resizeObj -> saveImage($image_thumb, 100);
			?>
			<div class="slider-item">			
			   <img src="<?php echo $image->folder.'/'.$image->name;?>" alt=""/>
			   <img class="thumbnail" src="<?php echo $image->folder.'/thumb/thumb_'.$image->name?>" alt="" title=""/>
			</div>
		<?php }?>		
	</div>
</div>	
 
<script type="text/javascript">
	var JOsliderscroll = jQuery.noConflict();
	JOsliderscroll(document).ready(function() {
		JOsliderscroll("#slider-pro-1").advancedSlider({
			width: <?php echo $params->get('width');?>, 
			height: <?php echo $params->get('height');?>, 
			thumbnailWidth: <?php echo $params->get('thumbnailwidth');?>,
			thumbnailHeight: <?php echo $params->get('thumbnailheight');?>,
			visibleThumbnails: <?php echo $params->get('visiblethumbnails');?>,
			skin: 'curved-square', 
			scrollbarSkin: 'scrollbar-7-light', 
			alignType: 'centerCenter', 
			lightboxNavigation: 0, 
			horizontalSlices: 7, 
			verticalSlices: 4, 
			fadeNavigationArrows: <?php echo $params->get('fadenavigationarrows');?>,
			 navigationButtonsNumbers: <?php echo $params->get('navigationbuttonsnumbers');?>, 
			 thumbnailsType: 'navigation', 
			 thumbnailSync: 1, 
			 thumbnailOrientation: '<?php echo $params->get('thumbnail_position'); ?>',
			 thumbnailArrows: 0, 
			 thumbnailScrollbar: <?php echo $params->get('thumbnailscrollbar');?>,  
			 thumbnailMouseScroll: 1, 
			 thumbnailMouseWheel: 1, 
			 slideProperties:{
			 0: {effectType: 'scale', slicePattern: 'spiralMarginToCenterCW'}, 
			 1: {effectType: 'fade', horizontalSlices: 1, verticalSlices: 1, slideshowDelay: 10000}, 
			 2: {effectType: 'slide', horizontalSlices: 10, verticalSlices: 1, slicePattern: 'rightToLeft', sliceDuration: 700}, 
			 3: {effectType: 'height', horizontalSlices: 10, verticalSlices: 1, slicePattern: 'leftToRight', sliceDuration: 500, slicePoint: 'rightBottom'}, 
			 4: {effectType: 'scale', sliceDuration: 800}, 
			 5: {effectType: 'height', horizontalSlices: 1, verticalSlices: 10, slicePattern: 'bottomToTop', sliceDuration: 700, slicePoint: 'centerTop'}, 
			 6: {effectType: 'slide', slicePattern: 'topLeftToBottomRight', sliceDuration: 700, slideStartPosition: 'rightBottom', slideStartRatio: 0.5}, 
			 7: {effectType: 'fade'}, 
			 8: {effectType: 'slide', horizontalSlices: 10, verticalSlices: 1, slicePattern: 'rightToLeft', sliceDuration: 800, slideStartPosition: 'verticalAlternativ'}}
		});
	});
</script>